package com.cku.model;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class SPOrderInfoNew {
    private Integer id;
    
    private Date addTime;
    
    private String orderid;
    
    private String payState;
    
    private BigDecimal totalPrices;
    
    private String moneyWay;
    
    private List<SPCarts> list;

    public Integer getId() {
        return id;
    }

    //将查询出的时间转换为时间戳
    public long getAddTime() {
        return addTime.getTime();
    }

    public String getOrderid() {
        return orderid;
    }

    public String getPayState() {
        return payState;
    }

    public BigDecimal getTotalPrices() {
        return totalPrices;
    }

    public List<SPCarts> getList() {
        return list;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }

    public void setOrderid(String orderid) {
        this.orderid = orderid;
    }

    public void setPayState(String payState) {
        this.payState = payState;
    }

    public void setTotalPrices(BigDecimal totalPrices) {
        this.totalPrices = totalPrices;
    }

    public void setList(List<SPCarts> list) {
        this.list = list;
    }

    public String getMoneyWay() {
        return moneyWay;
    }

    public void setMoneyWay(String moneyWay) {
        this.moneyWay = moneyWay;
    }

   
}